<!DOCTYPE html>
<html>
<head>
<style>
  .button {
    border: none;
    color: white;
    padding: 15px 32px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 16px;
    margin: 40px 20px;
    cursor: pointer;
  }
  .button1 {background-color: #4CAF50;}
  .button2 {background-color: #008CBA;}
  .button3 {background-color: #ff2337;}
  </style>
</head>
<body>
<script language="javascript">
var buttonId = 1 + Math.floor(Math.random() * 3);
function buttonReaction(name) {
    if (buttonId === Number.parseInt(name.charAt(6))) {
        alert('You guessed!');
    } else {
        alert('You are wrong');
    }
}
</script>
<h1>Guess the button ! </h1>
<button name="button1" class="button button1" onClick="buttonReaction(name)">Green</button>
<button name="button2" class="button button2" onClick="buttonReaction(name)">Blue</button>
<button name="button3" class="button button3" onClick="buttonReaction(name)">Red</button>
</body>
</html>
